DISK-FILLTEST(1)

NAME
disk-filltest - Simple Tool to Detect Bad Disks by Filling with Random Data

SYNOPSIS
disk-filltest [-C dir] [-f files] [-N] [-r] [-R repeats] [-s seed] [-S size] [-u] [-U]

DESCRIPTION
disk-filltest The number of hard disk produced in the last five years is huge. Of course, this is the same number of hard disks that will most probably fail in the next five years, possibly with catastrophic consequences for the particular user or business.

The simple tool disk-filltest can help, together with S.M.A.R.T. monitoring, to check disks periodically and thus be forewarned about coming failures. The function of disk-filltest is simple:

•   Write files random-######## to the current directory until the disk is full.

•   Read the files again and verify the pseudo-random sequence written.

•   Any write or read error will be reported, either by the operating system or by checking the pseudo-random sequence.

•   Optionally, delete the random files after a successful run.

The method is simple and effective, however, it of course does not verify other files on the disk. That is a different task, which can be solved efficiently, for example, using digup (a Digest Updating Tool) (https://panthema.net/2009/digup/).

Another useful side-function of disk-filltest is to measure read/write speed while filling the disk. Slow speeds may also indicate a future failure, or just bad disk controlling.

See https://panthema.net/2013/disk-filltest/ for more information.

OPTIONS

-C dir
    Change into given directory before starting work.

-f files
    Only write this number of 1 GiB sized files.

-N  Skip verification of files, e.g. for wiping a disk.

-r  Only verify existing data files with given random seed.

-R repeat
    Repeat fill/test/wipe steps given number of times. The random seed is not changed between repetitions.

-s seed
    Use random seed to write or verify data files.

-S size
    Size of each random file in MiB (default: 1024).

-u  Remove files after successful test.

-U  Immediately remove files, write and verify via file handles.

AUTHORS
Written by Timo Bingmann

SEE ALSO
dd(1), digup(1), fio(1)